//+------------------------------------------------------------------+
//|                                                Mike's System.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

extern int TakeProfit=15;
extern int Stoploss=50;
extern double Lots=1;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {

if(Volume[0]>1) return;

int ticket;
double dCurrentHigh, dCurrentLow, dCurrentClose;
double dA, dD, dCD, dPerc;
double dCurrent4hrHigh, dCurrent4hrLow, dCurrent4hrClose;
double dA4, dD4, dCD4, dPerc4;

dCurrent4hrHigh=iHigh(Symbol(),PERIOD_H4,1);
dCurrent4hrLow=iLow(Symbol(),PERIOD_H4,1);
dCurrent4hrClose=iClose(Symbol(),PERIOD_H4,1);
dCurrentHigh=iHigh(Symbol(),PERIOD_M15,1);
dCurrentLow=iLow(Symbol(),PERIOD_M15,1);
dCurrentClose=iClose(Symbol(),PERIOD_M15,1);

dA4=(dCurrent4hrHigh+dCurrent4hrLow)/2;
dD4=dCurrent4hrHigh-dA4;
dCD4=dCurrent4hrClose-dA4;
dPerc4=dCD4/dD4;
dA=(dCurrentHigh+dCurrentLow)/2;
dD=dCurrentHigh-dA;
dCD=dCurrentClose-dA;
dPerc=dCD/dD;


if (dPerc > 0.4999 && dPerc4 > 0.7499) 
   {
       ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,3,Ask-Stoploss*Point,Ask+TakeProfit*Point,"BUY Order",255,0,CLR_NONE);
   }
if (dPerc < -0.4999 && dPerc4 < -0.7499) 
   {
       ticket=OrderSend(Symbol(),OP_SELL,Lots,Bid,3,Bid+Stoploss*Point,Bid-TakeProfit*Point,"SELL Order",255,0,CLR_NONE);
   }
   return(0);
   
  }
//+------------------------------------------------------------------+